
import java.awt.Button;
import java.awt.CardLayout;
import java.awt.Color;
import java.awt.Frame;
import java.awt.Panel;	

class MyCardLayOut extends Frame
{
	private final int ButtonCnt = 5;	//	버튼의 개수	
	private Panel []panel;				//	Panel의 개수 또한 버튼의 개수와 동일
	private Button []button;			//	각 버튼들을 Panel에 추가할 것이다.
	private CardLayout cardlayout;
	
	private Color color[] = {
			Color.red, Color.blue, Color.yellow, Color.green, Color.cyan
						};	//	버튼의 개수만큼 색상을 준비
	
	public MyCardLayOut(String title)
	{
		super(title);	//	Frame 클래스의 생성자에 제목 전달
		
			//	카드 레이아웃을 만들기
			this.cardlayout = new CardLayout();
			
			//	카드 레이아웃을 Frame에 추가
			super.setLayout(cardlayout);
			
			//	패널을 교체하는 방식으로 구현한다.
			//	패널에 버튼을 추가한다. 한 패널 당 버튼 하나를 할당
			this.panel = new Panel[this.ButtonCnt];		//	패널 5개 할당
			this.button = new Button[this.ButtonCnt];	//	버튼 5개 할당
			
			//	버튼을 만들어서 패널에 추가한 다음에 이 패널을 Frame에 붙인다.
			for(int i = 0; i < this.panel.length; i++)
			{
				this.panel[i] = new Panel();
				
				//	패널 생성 후, 관련 설정을 해야 한다.
				this.panel[i].setBackground(this.color[i]);
				
				this.button[i] = new Button("button"+(i+1));
				
				this.panel[i].add(this.button[i]);
				
				super.add(this.panel[i]);
			}
			
			super.setSize(500, 500);	//	윈도우 창의 크기 조절
			super.setVisible(true);		//	윈도우 창을 눈에 보이게 설정
	}
}

public class MakeCardLayOut {
	public static void main(String[] args) {
		new MyCardLayOut("카드 레이아웃 만들기"); 
	}
}

